===========================================================================
                            Release Notes
===========================================================================

This package contains firmware for the following products.
The part number is listed in shorthand notation, so, for example,
00671-3 means 73-30130-00671-3.

 * Kvaser BlackBird v2:
      Kvaser BlackBird v2                            00671-3
      Kvaser BlackBird v2 OBDII                      00675-1
      Kvaser BlackBird Pro HS v2                     00983-7

 * Kvaser Ethercan:
      Kvaser Ethercan Light HS                       00713-0
      Kvaser Ethercan HS                             00976-9

 * Kvaser Memorator Pro 5xHS:
      Kvaser Memorator Pro 5xHS                      00778-9
                                                     00832-8

 * Kvaser Memorator Pro 2xHS v2:
      Kvaser Memorator Pro 2xHS v2                   00819-9
                                                     00869-4

 * Kvaser USBcan Pro 4xHS                            01261-5

 * Kvaser USBcan Pro 4xCAN Silent                    01411-4

 * Kvaser USBcan Pro 5xHS:
      Kvaser USBcan Pro 5xHS                         00779-6

 * Kvaser USBcan Light 4xHS:
      Kvaser USBcan Light 4xHS                       00831-1

 * Kvaser Leaf Pro HS v2:
      Kvaser Leaf Pro HS v2                          00843-4

 * Kvaser USBcan Pro 2xHS v2:
      Kvaser USBcan Pro 2xHS v2                      00752-9
                                                     00877-9

 * Kvaser Memorator 2xHS v2:
      Kvaser Memorator 2xHS v2                       00821-2

 * Kvaser Hybrid 2xCAN/LIN:
      Kvaser Hybrid 2xCAN/LIN                        00965-3
      Kvaser Hybrid Pro 2xCAN/LIN                    01042-0

 * Kvaser Memorator Light HS v2:
      Kvaser Memorator Light HS v2                   01058-1

 * Kvaser DIN Rail:
      Kvaser DIN Rail SE400S-X10                     01059-8
      Kvaser DIN Rail SE410S-X10                     01118-2

 * Kvaser U100:
      Kvaser U100                                    01173-1
      Kvaser U100P                                   01174-8
      Kvaser U100S                                   01181-6

 * Kvaser Hybrid CAN/LIN
      Kvaser Hybrid CAN/LIN                          01284-4
      Kvaser Hybrid Pro CAN/LIN                      01288-2

 * Kvaser Leaf v3
      Kvaser Leaf v3                                 01424-4

If you upgrade the firmware, we strongly recommend that you also
upgrade the driver.

Known Problems
==============
* t program supports CANTP only for classic CAN.
* After the I/O Pin Handling API have been initialized (using kvIoConfirmConfig)
  the periodicity of sent CAN messages using auto transmit messages can not be guaranteed.

New Features and Fixed Problems in V3.39.788  (14-JUN-2026)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.38.774  (31-MAY-2026)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.37.672  (18-FEB-2026)
===========================================================================
* Report USB suspend support to the driver.

* U100 / U100P
  - Corrected LED indication when in USB suspend.


New Features and Fixed Problems in V3.36.523  (22-SEP-2025)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.35.399  (21-MAY-2025)
===========================================================================
* Memorators: Fixed bug where filters were not applied correctly for dlc > 8
* Set reserved bit in bmAttributes in USB configuration descriptor.
* Add serial number string descriptor to USB device descriptor. The descriptor
  will contain last 6 digits of EAN and serial number, eg. 008199-12345 for a
  Kvaser Memorator Pro 2xHS v2 with serial number 12345.


New Features and Fixed Problems in V3.34.306  (17-FEB-2025)
===========================================================================
* Improved random number generation for Memorator, Hybrid and USBCan
  devices.
* Added support for updated hardware revision of Memorators.


New Features and Fixed Problems in V3.33.223  (26-NOV-2024)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.32.935  (22-MAY-2024)
===========================================================================
* Fixed bug where can message transmission from script could fail if bus on
  and bus off were sent by canlib instead of from the script.
* Memorator, USBCan and hybrid interfaces.
  - Improved bootloader power up time.


New Features and Fixed Problems in V3.31.841  (18-FEB-2024)
===========================================================================
* Allow shorter tx latency for remote devices with adjustable latency.
* Improved battery charging for Kvaser DIN Rail.
* Leaf v3 (01424-4): Added led indication when the device is powered but no
  suitable driver is found. The power led will blink yellow similarly to
  other products.
* Hybrid CAN/LIN / Hybrid 2xCAN/LIN / Hybrid Pro CAN/LIN / Hybrid Pro 2xCAN/LIN
  - Fixed an issue where the external 1kOhm pullup was activated by the slave instead of the master.


New Features and Fixed Problems in V3.30.683  (13-SEP-2023)
===========================================================================
* Changed Leaf v3 (01424-4) can led color to be more yellow and less green.
* Added new reset mode for Kvaser DIN Rail SE410S-X10(01118-2). Holding the
  reset button for over 10 seconds will now clear the disk storage. This is
  indicated by CAN 1, 2 and 3 leds glowing red. (The CAN 3 led will glow red
  after 10 seconds on Kvaser DIN Rail SE400S-X10(01059-8) as well but with
  no additional effect.)


New Features and Fixed Problems in V3.29.552  (05-MAY-2023)
===========================================================================
* New products:
  - Kvaser USBcan Pro 4xCAN Silent (01411-4)
  - Kvaser Leaf v3 (01424-4)

* Add new capability, "always silent".
* Fix bug where SD cards larger than 256GB would not be formatted properly.
* Fix debounce issue of external trigger.


New Features and Fixed Problems in V3.28.313  (08-SEP-2022)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.27.211  (29-MAY-2022)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.26.108  (15-FEB-2022)
===========================================================================
* t program
  - Fixed a bug where canWrite stopped working after buffering 1000 CAN
    messages and not receiving any txack, e.g. if the channel was not
    connected to a bus. Call canBusOff to flush the buffered CAN messages.
* Fixed a bug where Kvaser Blackbird was in silent mode when starting.

New Features and Fixed Problems in V3.25.855  (13-SEP-2021)
===========================================================================
* New products:
  - Kvaser Hybrid CAN/LIN (01284-4)
  - Kvaser Hybrid Pro CAN/LIN (01288-2)

* Kvaser Memorator 2xHS v2
  - Fixed an issue where the device intermittently hung for 5-10s at startup
    with only the CAN1 LED on red.

* Memorator (2nd generation)
  - Improved timeout handling when formatting SD-cards.


New Features and Fixed Problems in V3.24.744  (25-MAY-2021)
===========================================================================
* New product: Kvaser U100S (01181-6)

* U100 / U100P
  - Fixed a bug where the CAN interface was not turned on after waking up
    from suspend.

* U100 / U100P / USBcan / Memorator (2nd generation) / BlackBird v2:
  - Enabled getting bus parameters through CanGetBusParamsTq when previously
    set using CanSetBusParams.
  - CANlib will issue a canERR_NOT_SUPPORTED (-19) status code ("status 1" in FW)
    for CanSetBusParamsTq if the parameters are not valid for the current device.
  - Fixed a bug where CanGetBusParamsTq() failed after call to busOn().


New Features and Fixed Problems in V3.23.646  (16-FEB-2021)
===========================================================================
* t program
  - Added bitrate constant canFD_BITRATE_8M_80P.

* REST API
  - Fixed a bug in canAddFilter where using extended (29-bit) id's made the filter not function proberly,
    using extended id's now work.

* USBcan / Memorator (2nd generation):
  - Enhanced support of TRDC, allowing data rate prescaler greater than 2.


New Features and Fixed Problems in V3.22.578  (10-DEC-2020)
===========================================================================

* Added support for U100 and U100P.

* BlackBird v2
  - EAPOL handshake has been improved.

* t program
  - Added support for missing bitrate constant canFD_BITRATE_500K_80P.
  - Fixed a bug where loggerStart() set posttigger time to infinity
    for all triggers.


New Features and Fixed Problems in V3.21.486  (09-SEP-2020)
===========================================================================
* Wait one second before restarting the device after parameter update.

* Added support for setting tx latency in remote devices.

* Kvaser Memorator Pro 5xHS
  - Maximum current increased when CAN power is available.
    This improves stability when all five CAN channels send
    messages simultaneously.


New Features and Fixed Problems in V3.20.381  (27-MAY-2020)
===========================================================================
* Kvaser Memorator Light HS v2
  - Autobaud detection has been improved

* USBCan Pro 2xHS v2 and Leaf Pro HS v2
  - Added preliminary support for kvDiag API

* BlackBird v2
  - Removed APIPA fallback for DHCP.
  - DHCP timeout handling has been improved.
  - EAPOL handshake has been improved.

New Features and Fixed Problems in V3.19.326  (02-APR-2020)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.18.288  (24-FEB-2020)
===========================================================================
* The firmware buildsystem has been updated from makefiles to meson.
  This affects all products.

* Kvaser Eagle
  - Support for Kvaser Eagle has been dropped.
    Last public firmware release for this device is V3.17.149.

* BlackBird v2
  - The WPA supplicant has been updated to version 2.6
    This means that the fix for WPA-KRACK attacks is included.
    See https://www.krackattacks.com/ for details.

* I/O API
  - Adding support for new functions kvIoSetModulePins and kvIoGetModulePins.

* DIN Rail SE410S-X10
  - Fixed an issue where a t-script that started at power on would run before
    all connected add-on modules were configured correctly, which in turn would
    result in kvIoConfirmConfig () returns an error.

* Fixed Channel Quality bug for WiFi devices.

New Features and Fixed Problems in V3.17.149  (08-OCT-2019)
===========================================================================
* Minor changes.


New Features and Fixed Problems in V3.16.124  (13-SEP-2019)
===========================================================================

* New product: Kvaser DIN Rail SE410S-X10

* BlackBird v2/Ethercan/Din Rail: Added APIPA as a fallback for DHCP.

* Hybrid 2xCAN/LIN
  - Fixed an issue where a slave node would incorrectly report receiving a
    message after aborting a transmission due to incorrect parity in the LIN
    header.
  - Hybrid Pro: Now possible to set enhanced checksum for diagnostic messages
    (0x3C and 0x3D) in LIN 2.0+ mode using linSetupIllegalMessage.
  - Hybrid Pro: Fixed an issue where linSetupLin did not reset the LIN message
    parity flags set by linSetupIllegalMessage.

* DIN Rail SE400S-X10/SE410S-X10
  - Fixed an issue where an I/O function call timeout in a script would cause
    all of the following I/O calls to fail.

* Script
  - Fixed a problem in script when a call to filePuts(file, buffer [])
    returned zero even on devices where the function is not supported.
  - Stopping a script using kvSCRIPT_STOP_FORCE now returns correct status code.
  - Fixed an issue where timers were attempting to execute after a script had been
    aborted, resulting in superflous error logs.

* Kvaser Memorator Light HS v2
  - Corrected LED indication for autobaud.

New Features and Fixed Problems in V3.15.921  (12-MAY-2019)
===========================================================================
* USBcan / Memorator (2nd generation):
  - Fixed an issue where trying to go bus on in silent mode with wrong
    bitrate could fail silently.

* DIN Rail SE400S-X10:
  - Improved fw upgrade performance of the submodules. The fw upgrade time is
    reduced by half.

* Memorator (2nd generation):
  - Restored the LEDs blinking pattern after the disk is cleared and the device
    is disconnected from the hydra tool.

New Features and Fixed Problems in V3.14.851  (03-MAR-2019)
===========================================================================
* DIN Rail SE400S-X10:
  - Event kvIO_EVENT_CONFIG_CHANGED is only generated when a new valid
    configuration is available. Previously, an event was also created
    when the configuration became invalid.
  - Made firmware update of add-on modules more robust.
  - Added support for CAN FD.
  - Updated firmware for DIN Rail add-on modules:
              Analog   Digital   Relay
    Version   B        C         C
    Revision  1        2         2
    Patch     7        5         5

* USBcan / Memorator (2nd generation):
  - Fixed an issue where programming using hydra_flash directly after
    a device was connected could cause the LEDs not to blink as expected.

* Kvaser BlackBird v2:
  - Added support for running t programs.

* Added support for Kvaser Memorator Light HS v2.


New Features and Fixed Problems in V3.13.754  (26-NOV-2018)
===========================================================================
* Minor changes.

* New product: Kvaser DIN Rail SE400S-X10

* Tentative support for I/O pin API.


New Features and Fixed Problems in V3.12.683  (16-SEP-2018)
===========================================================================
* Hybrid: Fixed problems with LIN that could cause the unit to hang.

* REST API:
  - Corrected a bug where kvScriptLoadFile required a filesystem. This
    is not necessary as the script is loaded to a given slot directly.
  - Corrected a bug where the dummy session argument was parsed
    incorrectly.

* Fixed an issue where too frequent calls to canRequestChipStatus could
  force the unit to reboot.

* t program:
    - Using an unknown function (i.e. new functions introduced in a
      t program version greater than the version used in the device) will
      now abort script execution instead of causing an error.


New Features and Fixed Problems in V3.11.557  (13-MAY-2018)
===========================================================================
* REST API:
  - Supports version 2.0 of the specification.
  - A successful call to canOpenChannel sets the drivertype to normal
   (canDRIVER_NORMAL).

* Memorator (2nd generation):
  - Corrected a bug when switching to fifo mode after logging stopped
    due to full disk.
  - It is no longer possible to switch off fifo mode with a full disk
    and then continue logging.


New Features and Fixed Problems in V3.9.467  (12-FEB-2018)
===========================================================================
* New products:
  - Kvaser Hybrid Pro 2xCAN/LIN     (01042-0)
  - Kvaser Ethercan HS              (00976-9)
  - Kvaser BlackBird Pro HS v2      (00983-7)

* Support for new flash memories in Kvaser BlackBird v2. Devices can not
  be downgraded below this version.


New Features and Fixed Problems in V3.8.364  (01-NOV-2017)
===========================================================================
* This is a release for the production of Kvaser Hybrid. It solves a bug
  that might affect the unit when switching back and fourth between CAN/LIN


New Features and Fixed Problems in V3.7.315  (13-SEP-2017)
===========================================================================
* New product Kvaser Hybrid 2xCAN/LIN  (00965-3)

* Leaf / USBcan / Memorator (2nd generation):
  - Fixed a problem that could occur when using CAN FD with high USB load.
  - Fixed sending long CAN FD meassages on usb-full speed.

* BlackBird v2 / Leaf / USBcan / Memorator (2nd generation):
  - Corrected LED indication if USB cable is not fully inserted.

* Eagle / Memorator (2nd generation):
  - Corrected log file recovery functionality when SD-card is removed
    during logging.

  - Logger configurations can now contain more than one external trigger, i.e.
    trigger on both rising and falling edge.

* t program:
  - Added function loggerSetPretrigger.
  - Return error if using an invalid slot number.
  - Return error if invalid channel is used with canGetBusOutputControl,
    canGetCommunicationMode and scriptLoad.
  - Corrected number of samples read back with canGetBusParams.
  - Added support for flag canFDMSG_SINGLE_SHOT to CanMessageFd.

* Support for new flash memories. Units using new memory can not be downgraded
  below this version.


New Features and Fixed Problems in V3.6.184  (05-MAY-2017)
===========================================================================
* Added functionality to report hardware status to Kvaser Device Guide.

* The XML-parser in t program now handles comments and prolog.

* Fixed bug, where script VM would crash if attempt to start a script is made
  on an slot with no loaded script.

* Leaf / USBcan / Memorator (2nd generation):
  Bug fix: In rare cases wrong value could be read from the internal clock.
  CAN controller update:
  - Corrected timing when sending error frame after an error was found after
    switch to data rate.
  - Corrected possibility of missing edge synchronization at sample point
  - Corrected a case where the CAN controller would never send a dominant SOF
    in the case of a disturbed bus where the frequency of the disturbance is
    of the same frequency as the bit rate and the duration of the disturbing
    pulse is long enough to be detected as a dominant pulse.


New Features and Fixed Problems in V3.5.975  (15-FEB-2017)
===========================================================================
* Leaf / USBcan / Memorator (2nd generation):
    - Fixed a problem that could occur when going off bus while receiving a
      large amount of error frames.

* BlackBird v2 and Ethercan:
    - Flush transmit queue is now synchronous (will not return until flush is
      done).

* t program:
    - Timer queue is abolished. Should two timers expire at the same time,
      they are handled at the same time too.


New Features and Fixed Problems in V3.4.822  (15-SEP-2016)
===========================================================================
* t program:
    - Fixed return value of canSetBusParams and canSetBusParamsFd, when
      invalid values are passed.
    - Restored scheduler to 1 ms ticks (5 ms was introduced in v3.3).

* Memorator (2nd generation):
    - Improved boot time.
    - Bug fix: Removed a 20 second shutdown delay if the logger
      configuration on the SD-card is incorrect.
    - Bug fix: Fixed error code when formatting SD-card with corrupt
      filesystem.

* Leaf / USBcan / Memorator (2nd generation):
    - Decreased SPI flash transfer frequency to eliminate startup problem at high
      temperature.

* Added Single shot functionality:
     Kvaser Memorator Pro 5xHS    (00778-9)
     Kvaser USBcan Pro 5xHS       (00779-6)
     Kvaser USBcan Pro 2xHS v2    (00752-9)
     Kvaser Memorator Pro 2xHS v2 (00819-9)
     Kvaser Leaf Pro HS v2        (00843-4)


New Features and Fixed Problems in V3.3.706  (22-MAY-2016)
===========================================================================
* New product Kvaser Memorator 2xHS v2  (00821-2)

* Fixed issue where autonomously started t programs needed to call buson()
  before first call to busoff().

* USB suspend is no longer treated as disconnect for all USB devices except
  Eagle. Under some circumstances this could have lead to a device reboot.

* Improved handling of losing and reestablishing USB communication,
  for instance when switching from host to virtual machine.

* Memorator (2nd generation):
    - Power off will now perform processor reset. Old powerdown method could
      occasionally cause a startup problem when SD-card was present.
    - Increased cache buffer size used for writing to SD-card.

* Leaf / USBcan / Memorator (2nd generation):
    - Updated bootcode to lower power consumption during startup.

* Fixed bug when calling kvFlashLeds with timeout 0.

* Eagle:
  - Fixed a stability issue that sometimes caused log file extraction to fail.


New Features and Fixed Problems in V3.2.630  (07-MAR-2016)
===========================================================================
* Manufacturing issue: Corrected update problem in production.

* Memorator (2nd generation):
   - Peformance improvements when logging.
   - Correcting start up problem in interface mode when USB configuration
     and SD-card init timing deviates from normal.

New Features and Fixed Problems in V3.1.624  (01-MAR-2016)
===========================================================================

* New product Kvaser Memorator Pro 2xHS v2  (00819-9)

* Memorator (2nd generation):
   - Supports LIO data format v5.0 and Binary configuration v6.0.
   - Object buffers now works on multiple channels.

* BlackBird v2 and Ethercan:
   - Tx interval is now the time between the end of a frame to the start of the
     next frame.  Earlier it was the time between the start of a frame to the
     start of the next frame.

* BlackBird v2:
   - Fixed issue where finding hidden SSID during scan prevented displaying of
     all found networks.

* Eagle and Memorator: id and dlc of error frames ACKs are logged as nulls.

* Eliminated delay between start of script and time when incoming messages are captured.

* t program:
        - All unsupported functions return negative values.
        - Removed demand on order of execution for canSetBusParams
          and canSetBusParamsFd.
        - Added database support for CAN FD messages.
          Note: Requires scc compiler version 3.4 or higher.

* Implemented reading of silent mode capability and capabilities mask.

* CAN controller update:
   - The controller is more strict regarding CAN FD bit timing settings.
     Kvaser Memorator Pro 5xHS  (00778-9)
     Kvaser USBcan Pro 5xHS     (00779-6)
     Kvaser USBcan Light 4xHS   (00831-1)
     Kvaser Leaf Pro HS v2      (00843-4)
     Kvaser USBcan Pro 2xHS v2  (00752-9)


New Features and Fixed Problems in V3.0.547  (15-DEC-2015)
===========================================================================
IMPORTANT: Before upgrading to this firmware version, make sure any
           configuration and log files on your SD card are saved / read out.
           This firmware version is NOT backwards compatible with previous
           configuration- and log-formats. Kvaser Memorator Config Tool
           version 5.4 is required for creating a new compatible configuration.

* Enabled canIOCTL_TX_INTERVAL for Leaf/USBcan/Memorator (2nd generation).

* BlackBird v2 and Ethercan: Fixed bug when tx interval setting would
  not clear on buson.

* Eagle and Memorator: Fixed issue with logged posttrigger value.

* Object buffers (Auto Transmit) for CAN FD implemented.

* REST API: Added support for message filtering.

* t program:
       - Fixed a bug where accessing a non existing environment variable
         would cause a 15 seconds timeout.
       - Corrected the lifespan of environment variables. Instead of having
         a lifespan from script start until script stop, the life span of
         environment variables are now from script load until script unload.
       - Added feature left alignment for (s)printf with strings (%s).
       - Added support for CAN FD for USBcan/Memorator v2 (2nd generation).
         Reqires t compiler version 3.3, included in CANLIB SDK 5.13.

Leaf / USBcan / Memorator (2nd generation):
       - Updated boot code with enhanced power managment.
       - Updated power managment to prevent problems with startup or
         shutdown of unit.
       - Lowered startup power consumption.
       - Shut down the device immediately if USB voltage is too low.
       - Updated handling of going bus on and bus off.
       - Corrected problem that could incorrectly set MSGFLAG_BRS and
         MSGFLAG_REMOTE_FRAME.

Memorator (2nd generation):
       - Shut down the device immediately if battery voltage is too low.
       - Adjusted start and stop of battery charger.
       - Adjusted charge current to handle charging in different temperature.
       - Corrected startup problem with low battery and SD-card inserted.
       - Preventing a voltage dip when SD-card is inserted.
       - Correcting LED indications for Waiting for USB configuration and
         Disk Error.
       - Added support for logging CAN FD. New CAN FD capable configuration-
         and log-formats. Requires Kvaser Memorator Config Tool version 5.4.
       - Enabled 64 bits timestamp logging.


New Features and Fixed Problems in V2.6.462  (21-SEP-2015)
===========================================================================

* Added support for new devices:
       - Kvaser USBcan Light 4xHS   (00831-1)
       - Kvaser Leaf Pro HS v2      (00843-4)
       - Kvaser USBcan Pro 2xHS v2  (00752-9)

* CAN FD support (interface mode) for:
       - Kvaser Memorator Pro 5xHS  (00778-9)
       - Kvaser USBcan Pro 5xHS     (00779-6)
       - Kvaser Leaf Pro HS v2      (00843-4)
       - Kvaser USBcan Pro 2xHS v2  (00752-9)

* CAN controller update for:
       - Kvaser Memorator Pro 5xHS  (00778-9)
       - Kvaser USBcan Pro 5xHS     (00779-6)

* Fixed issue with default channel when used in on CanMessage hook for scripts
  loaded on other channels than channel zero.

* Improved boot time for USBcan Pro 5xHS, Memorator Pro 5xHS. Focus on
  boot with only CAN-power (logger mode).

* Fixed memory leak in the REST API.

* Fixed bug that made loading script from file occasionally fail.

* Eagle:
       - Corrected setting of silent mode when logging.
       - Fixed bug where instead of two channel configurations, five channel
         configurations were erroneously used.
       - Fixed an initialization bug that on rare occasions prevented
         scripts from receiving CAN messages.

* Added tentative support for script in internal flash.

New Features and Fixed Problems in V2.5.339  (21-MAY-2015)
===========================================================================
* New product Kvaser USBcan Pro 5xHS

* Memorator Pro 5xHS:
       - Fix bug where functions canGetTimestamp and timeGetLocal
         called from a script do not return correct time.
       - Added indication when no battery/bad battery is detected.
       - Added indication when low power supply from USB is detected.
       - Corrected bug where SD-card with unknown filesystem was
         not detected.
       - Fixed bug where heavy bus load would cause the device
         to hang.
       - Battery charge current based on temperature.
       - Adjusted RTC implementation to improve handling of reboot.

* Changed led indication color and pattern for disk activity and firmware
  update. Now all yellow leds are flashing during firmware update.

* t program for Eagle and Memorator Pro 5xHS:
       - Fix wrap problem with timestamp from function timeGetLocal.

* Fixed issue with chip state when going busON with low bitrates in Eagle.


New Features and Fixed Problems in V2.4.231  (03-FEB-2015)
===========================================================================
* Fixed issue where Kvaser t programs did not recognize bus parameter
  updates done by the driver.

* Fixed issue where errorframe txack timestamps were wrong.

* Introduced a response to all unknown commands, which reduces the timeout
  in new versions of driver.

* Blackbird v2 and Ethercan:
       - Added support for canIOCTL_TX_INTERVAL.
       - Added support for canIOCTL_GET/SET_THROTTLE
       - Fixed an issue so that txrq-messages are working correctly.

* Altered mapping from kvLED_ACTION_xxx constants used by kvFlashLeds to
  better match physical led positions on some hardware.

* Opening a memo handle to a device with no disk will now return NO_DISK instead
  of NOT_FORMATTED.

* Added support for Kvaser Memorator Pro 5xHS


New Features and Fixed Problems in V2.3.889  (28-SEP-2014)
===========================================================================
* Ethercan: Fixed a bug where static network configuration was ignored.


New Features and Fixed Problems in V2.2.715  (08-APR-2014)
===========================================================================
* Blackbird v2 and Ethercan: Lowered power consumption when cpu load is low


New Features and Fixed Problems in V2.1.697  (21-MAR-2014)
===========================================================================
* REST API: Fixed number ordering of ip address returned from deviceStatus.

* Added support for Kvaser Ethercan Light HS

* Improved software download speed and recovery if interrupted.

* Device is now reporting hostname to scanning PC.

* Eagle: Adjusted powerdown of SD cards at reboot to better handle
  reinitialization of some cards.

* WLAN: Fixed bug where a long SSID found during browsing for networks might
  cause the device to hang.

* WLAN: Fixed bug causing WPA connections to fail.

* Blackbird v2: Fixed bug where device would not reboot after usb detach



New Features and Fixed Problems in V2.0.594  (07-DEC-2013)
===========================================================================

* Fixed rare bug when receiveing error frames which potentially could crash
  the device.


New Features and Fixed Problems in V1.9.584  (28-NOV-2013)
===========================================================================

* Fixed bug in REST api: tseg1 parameter.

* Fixed bug in REST api: empty parameter as the last parameter in REST call

* Improved support for diagnostics and production.

* Reverted firmware update improvement. It could cause the unit to become
  non upgradable if power was removed at the wrong moment.

* Corrected boot code with full support for 16MB flash.


New Features and Fixed Problems in V1.8.520  (24-SEP-2013)
===========================================================================

* New product BlackBird v2

* Improved firmware update performance.


New Features and Fixed Problems in V1.7.390  (22-MAY-2013)
===========================================================================

* Fixed bug that eventually would lead to a reboot of Eagle if a script using
  environment variables was left running while configuring the device using
  kvmOpenDevice().

* Improved writing of parameters in production

* kvScriptStatus() now returns status 0 when querying an empty slot.
  Fixed status for unloaded scripts.


New Features and Fixed Problems in V1.6.310  (04-MAR-2013)
===========================================================================

* This release reqires t compiler version 3.x, included in CANLIB SDK 5.0.

* Eagle now support SD-cards larger than 100 GByte
    (requires Kvaser Memorator Tools for Eagle version 3.4).
    SD-card formated with new filenames are not backwards compatible with
    older firmware and Kvaser Memorator Tools for Eagle.


New Features and Fixed Problems in V1.5.260  (Internal release)
===========================================================================

* Corrected initialize disk when formating disk with unsupported filesystem

* Added support for customer data.

* Fixed bug after stack overflow in t has occured.

* Added support for new functions in t compiler.


New Features and Fixed Problems in V1.4.120  (07-SEP-2012)
===========================================================================

* Fixed Object Buffer(Auto Transmit) function, needs canlib v4.9.

* Added support for canCHANNELDATA_DEVNAME_ASCII


New Features and Fixed Problems in V1.2.60  (25-MAY-2012)
===========================================================================

* Requires canlib 4.7 or higher.

* Bug fix: The "on stop" hook in t programs is now correctly executed when
  power is lost.


New Features and Fixed Problems in V1.1.200  (10-NOV-2011)
===========================================================================

* Bug fix: Lowest numbered used slot (not only 0) could affect logging.

* Fixed an error where the extended flag were lost while logging and
  running t programs at the same time.

* Handle a potential startup problem.

* Lowered battery charge mode level.

New Features and Fixed Problems in V1.0.101  (19-SEP-2011)
===========================================================================

* This is a new release. The Windows driver will not work with early beta
  versions of the firmware (i.e. version smaller than 1.0).

* This release reqires t compiler version 2.0, included in CANLIB SDK 4.6.
